## py3c 0.8

=== Makefile ===
all:
	echo "Available targets:"
	echo "    make test"
	echo "    make test-<interpreter>"
	echo "    make doc"
	echo "    make install"
	echo "    make clean"

prefix ?= /usr/local
includedir ?= $(prefix)/include
datarootdir ?= $(prefix)/share
datadir ?= $(datarootdir)
pkgconfigdir ?= ${datadir}/pkgconfig

doc:
	cd doc && $(MAKE) html

test:
	$(MAKE) test-python2
	$(MAKE) test-python3
	$(MAKE) test-python2-cpp
	$(MAKE) test-python3-cpp

# TODO: A better way to build & use one-off extensions?

build-%:
	cd test; rm -rvf build ; $* setup.py build

build-%-cpp:
	cd test; rm -rvf build ; TEST_USE_CPP=yes $* setup.py build

test-%: build-%
	PYTHONPATH=$(wildcard test/build/lib*) $* test -v

test-%-cpp: build-%-cpp
	TEST_USE_CPP=yes PYTHONPATH=$(wildcard test/build/lib*) $* test -v

py3c.pc: py3c.pc.in
	sed -e's:@includedir@:$(realpath $(includedir)):' $< > $@

install: py3c.pc
	mkdir -p -m 0755 $(includedir)/py3c
	install -m 0644 include/py3c.h $(includedir)/py3c.h
	install -m 0644 $(wildcard include/py3c/*.h) $(includedir)/py3c/

	mkdir -p -m 0755 $(pkgconfigdir)
	install -m 0644 py3c.pc $(pkgconfigdir)/

clean:
	rm py3c.pc ||:

.PHONY: test doc clean install

=== debian/changelog ===
py3c (0.8-1) unstable; urgency=medium

  * Initial release. Closes: #872759.

 -- Matthias Klose <doko@debian.org>  Mon, 21 Aug 2017 12:54:23 +0200

=== debian/control ===
Source: py3c
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 9),
 python3-dev,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme
Standards-Version: 4.0.0
Homepage: https://github.com/encukou/py3c

Package: py3c-dev
Architecture: all
Depends: libpython3-dev | libpython-dev,
 ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python 2/3 compatibility layer for C extensions
 py3c is a library for easing porting C extensions to Python 3,
 providing macros for single-source compatibility between Python 2.6,
 2.7, and 3.3+. It could be described as “the six for C extensions”.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_configure:
	@echo Nothing to do

override_dh_auto_build:
	$(MAKE) build-python3
	$(MAKE) build-python3-cpp
	$(MAKE) py3c.pc
	$(MAKE) doc

override_dh_auto_test:
	$(MAKE) test-python3
	$(MAKE) test-python3-cpp

override_dh_auto_install:
	$(MAKE) install prefix=$(CURDIR)/debian/py3c-dev/usr
	mkdir -p debian/py3c-dev/usr/share/pkgconfig
	cp py3c.pc debian/py3c-dev/usr/share/pkgconfig/.
	mkdir -p debian/py3c-dev/usr/share/doc/py3c-dev
	cp -a doc/build/html debian/py3c-dev/usr/share/doc/py3c-dev/.
	dh_sphinxdoc /usr/share/doc/py3c-dev/html

override_dh_auto_clean:
	rm -rf doc/build test/build test/__pycache__ py3c.pc
	dh_auto_clean

## py3c 1.0

=== Makefile ===
--- 
+++ 
@@ -35,7 +35,10 @@
 test-%-cpp: build-%-cpp
 	TEST_USE_CPP=yes PYTHONPATH=$(wildcard test/build/lib*) $* test -v
 
-py3c.pc: py3c.pc.in
+$(includedir):
+	mkdir -p $(includedir)
+
+py3c.pc: py3c.pc.in $(includedir)
 	sed -e's:@includedir@:$(realpath $(includedir)):' $< > $@
 
 install: py3c.pc

=== debian/changelog ===
py3c (1.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 13 Feb 2018 12:17:37 +0100

py3c (0.9-2) unstable; urgency=medium

  * Make the build reproducible (Chris Lamb). Closes: #881905.

 -- Matthias Klose <doko@debian.org>  Tue, 06 Feb 2018 06:34:27 +0100

py3c (0.9-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 13 Nov 2017 12:10:42 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: https://github.com/encukou/py3c
 
 Package: py3c-dev

## py3c 1.1

=== debian/changelog ===
py3c (1.1-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:38:16 +0000

py3c (1.1-1) unstable; urgency=medium

  * New upstream version.
  * Drop the bogus Python2 recommendation. Closes: #937382.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 15 Oct 2019 16:48:06 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme
-Standards-Version: 4.1.3
+Standards-Version: 4.4.1
 Homepage: https://github.com/encukou/py3c
 
 Package: py3c-dev
 Architecture: all
-Depends: libpython3-dev | libpython-dev,
+Depends: libpython3-dev,
  ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Python 2/3 compatibility layer for C extensions
  py3c is a library for easing porting C extensions to Python 3,

=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,7 @@
 override_dh_auto_install:
 	$(MAKE) install prefix=$(CURDIR)/debian/py3c-dev/usr
 	mkdir -p debian/py3c-dev/usr/share/pkgconfig
+	$(MAKE) -B py3c.pc includedir=/usr/include
 	cp py3c.pc debian/py3c-dev/usr/share/pkgconfig/.
 	mkdir -p debian/py3c-dev/usr/share/doc/py3c-dev
 	cp -a doc/build/html debian/py3c-dev/usr/share/doc/py3c-dev/.

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/encukou/py3c/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## py3c 1.2

=== debian/changelog ===
py3c (1.2-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards and debhelper version.

 -- Matthias Klose <doko@debian.org>  Fri, 17 Jul 2020 11:02:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: python
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
  python3-dev,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/encukou/py3c
 
 Package: py3c-dev

## py3c 1.3.1

=== debian/changelog ===
py3c (1.3.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Jan 2021 21:59:27 +0100

py3c (1.3-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards and debhelper version.

 -- Matthias Klose <doko@debian.org>  Sun, 06 Dec 2020 09:32:12 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: python
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
  python3-dev,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/encukou/py3c
 
 Package: py3c-dev

## py3c 1.4

=== Makefile ===
all:
	echo "Available targets:"
	echo "    make test"
	echo "    make test-<interpreter>"
	echo "    make doc"
	echo "    make install"
	echo "    make clean"

prefix ?= /usr/local
includedir ?= $(prefix)/include
datarootdir ?= $(prefix)/share
datadir ?= $(datarootdir)
pkgconfigdir ?= ${datadir}/pkgconfig
testbuilddir ?= test/build

_testbuilddir_abs=$(abspath ${testbuilddir})

doc:
	cd doc && $(MAKE) html

test:
	$(MAKE) test-python2
	$(MAKE) test-python3
	$(MAKE) test-python2-cpp
	$(MAKE) test-python3-cpp

# TODO: A better way to build & use one-off extensions?

build-%:
	cd test; rm -rvf ${_testbuilddir_abs} ; $* setup.py build -b ${_testbuilddir_abs}

build-%-cpp:
	cd test; rm -rvf ${_testbuilddir_abs} ; TEST_USE_CPP=yes $* setup.py build -b ${_testbuilddir_abs}

test-%: build-%
	echo ${_testbuilddir_abs}
	PYTHONPATH=$(wildcard ${_testbuilddir_abs}/lib*) $* test -v

test-%-cpp: build-%-cpp
	TEST_USE_CPP=yes PYTHONPATH=$(wildcard ${_testbuilddir_abs}/lib*) $* test -v

py3c.pc: py3c.pc.in
	sed -e's:@includedir@:$(abspath $(includedir)):' $< > $@

install: py3c.pc
	mkdir -p -m 0755 $(DESTDIR)$(includedir)/py3c
	install -m 0644 include/py3c.h $(DESTDIR)$(includedir)/py3c.h
	install -m 0644 $(wildcard include/py3c/*.h) $(DESTDIR)$(includedir)/py3c/

	mkdir -p -m 0755 $(DESTDIR)$(pkgconfigdir)
	install -m 0644 py3c.pc $(DESTDIR)$(pkgconfigdir)/

clean:
	rm py3c.pc ||:

.PHONY: test doc clean install

=== debian/changelog ===
py3c (1.4-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Nov 2021 17:47:11 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/encukou/py3c
 
 Package: py3c-dev
